igraph-dollar {igraph} | R Documentation

## Getting and setting graph attributes, shortcut

### Description

The `$` operator is a shortcut to get and and set graph attributes. It is shorter and just as readable as `graph_attr` and `set_graph_attr`.

### Usage

    ## S3 method for class 'igraph'
    x$name

    ## S3 replacement method for class 'igraph'
    x$name <- value

### Arguments

`x` | An igraph graph
`name` | Name of the attribute to get/set.
`value` | New value of the graph attribute.

### See Also

Other graph attributes: `$.igraph.vs`, `$<-.igraph.vs`, `V<-`, `[<-.igraph.vs`, `[[<-.igraph.vs`, `igraph-vs-attributes`, `igraph-vs-attributes`, `igraph-vs-attributes`, `igraph-vs-attributes`, `igraph-vs-attributes`; `attributes`, `graph_attr_names`, `list.graph.attributes`; `delete_edge_attr`, `remove.edge.attribute`; `delete_graph_attr`, `remove.graph.attribute`; `delete_vertex_attr`, `remove.vertex.attribute`; `edge.attributes<-`, `edge_attr<-`; `edge.attributes`, `edge_attr`, `get.edge.attribute`; `edge_attr_names`, `list.edge.attributes`; `get.graph.attribute`, `graph.attributes`, `graph_attr`; `get.vertex.attribute`, `vertex.attributes`, `vertex_attr`; `graph.attributes<-`, `graph_attr<-`; `list.vertex.attributes`, `vertex_attr_names`; `set.edge.attribute`, `set_edge_attr`; `set.graph.attribute`, `set_graph_attr`; `set.vertex.attribute`, `set_vertex_attr`; `vertex.attributes<-`, `vertex_attr<-`

### Examples

    g <- make_ring(10)
    g$name
    g$name <- "10-ring"
    g$name

[Package igraph version 1.0.1 Index]